Bug 161600 - Deadlock while editing makefile
Deadlock while editing makefile
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Editor
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Alexey Vladykin
issues@cnd
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-31 15:28 UTC by luky
Modified: 2009-04-02 07:34 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Makefile (5.70 KB, text/plain)
2009-03-31 15:29 UTC, luky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description luky 2009-03-31 15:28:38 UTC
while editing Makefile netbeans completly freeze and eat up 100% CPU
Daily build 200903310200

Makefile is attached. Freeze happens on line 105, pressing Backspace from string PS2JavaFXA.plugin (to delete ${CONF}/ }

2 thread dumps included 

Full thread dump Java HotSpot(TM) Client VM (1.5.0_16-132 mixed mode, sharing):

"Java Source Worker Thread" daemon prio=1 tid=0x006bb0c0 nid=0x1aedc00 waiting on condition [0xb429e000..0xb429ed10]
        at sun.misc.Unsafe.park(Native Method)
        at java.util.concurrent.locks.LockSupport.park(LockSupport.java:118)
        at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await
(AbstractQueuedSynchronizer.java:1841)
        at java.util.concurrent.PriorityBlockingQueue.take(PriorityBlockingQueue.java:200)
        at org.netbeans.modules.parsing.impl.TaskProcessor$CompilationJob.run(TaskProcessor.java:590)
        at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:417)
        at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:269)
        at java.util.concurrent.FutureTask.run(FutureTask.java:123)
        at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:650)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:675)
        at java.lang.Thread.run(Thread.java:613)

"GSF Source Worker Thread" daemon prio=1 tid=0x006579a0 nid=0x1a13800 waiting on condition [0xb48a1000..0xb48a1d10]
        at sun.misc.Unsafe.park(Native Method)
        at java.util.concurrent.locks.LockSupport.parkNanos(LockSupport.java:146)
        at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos
(AbstractQueuedSynchronizer.java:1879)
        at java.util.concurrent.PriorityBlockingQueue.poll(PriorityBlockingQueue.java:236)
        at org.netbeans.napi.gsfret.source.Source$CompilationJob.run(Source.java:1345)
        at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:417)
        at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:269)
        at java.util.concurrent.FutureTask.run(FutureTask.java:123)
        at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:650)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:675)
        at java.lang.Thread.run(Thread.java:613)

"org.netbeans.modules.gsfret.source.usages.RepositoryUpdater" daemon prio=1 tid=0x00655300 nid=0x1a64000 in Object.wait
() [0xb46a0000..0xb46a0d10]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x0aaa35e0> (a java.util.TaskQueue)
        at java.lang.Object.wait(Object.java:474)
        at java.util.TimerThread.mainLoop(Timer.java:483)
        - locked <0x0aaa35e0> (a java.util.TaskQueue)
        at java.util.TimerThread.run(Timer.java:462)

"Default RequestProcessor" daemon prio=1 tid=0x00653070 nid=0x1a64400 in Object.wait() [0xb3e9c000..0xb3e9cd10]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x0ab29ad8> (a java.lang.Object)
        at java.lang.Object.wait(Object.java:474)
        at org.netbeans.modules.tasklist.impl.FileScanningWorker.run(FileScanningWorker.java:205)
        - locked <0x0ab29ad8> (a java.lang.Object)
        at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:573)
        at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1005)

"Repository writer 0" daemon prio=1 tid=0x00648e60 nid=0x193c200 waiting on condition [0xb3698000..0xb3698d10]
        at java.lang.Thread.sleep(Native Method)
        at org.netbeans.modules.cnd.repository.queue.RepositoryWritingThread.waitReady(RepositoryWritingThread.java:94)
        at org.netbeans.modules.cnd.repository.queue.RepositoryWritingThread.run(RepositoryWritingThread.java:128)
        at org.netbeans.modules.cnd.repository.queue.RepositoryThreadManager$Wrapper.run
(RepositoryThreadManager.java:84)
        at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:573)
        at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1005)

"Class View Updater" prio=6 tid=0x00647fb0 nid=0x19d8400 in Object.wait() [0xb2891000..0xb2891d10]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x0a9e1760> (a java.lang.Object)
        at java.lang.Object.wait(Object.java:474)
        at org.netbeans.modules.cnd.classview.ClassViewUpdater$BlockingQueue.get(ClassViewUpdater.java:65)
        - locked <0x0a9e1760> (a java.lang.Object)
        at org.netbeans.modules.cnd.classview.ClassViewUpdater.run(ClassViewUpdater.java:144)

"DestroyJavaVM" prio=5 tid=0x00601870 nid=0x1804a00 waiting on condition [0x00000000..0xb0800000]

"AWT-EventQueue-1" prio=6 tid=0x00637e60 nid=0x18f2400 runnable [0xb3095000..0xb3095d10]
        at org.netbeans.lib.lexer.LexerInputOperation.read(LexerInputOperation.java:155)
        at org.netbeans.spi.lexer.LexerInput.read(LexerInput.java:126)
        at org.netbeans.modules.cnd.lexer.MakefileLexer.readTo(MakefileLexer.java:300)
        at org.netbeans.modules.cnd.lexer.MakefileLexer.readMacro(MakefileLexer.java:271)
        at org.netbeans.modules.cnd.lexer.MakefileLexer.nextToken(MakefileLexer.java:142)
        at org.netbeans.lib.lexer.LexerInputOperation.nextToken(LexerInputOperation.java:190)
        at org.netbeans.lib.lexer.inc.TokenListUpdater.relex(TokenListUpdater.java:619)
        at org.netbeans.lib.lexer.inc.TokenListUpdater.updateRegular(TokenListUpdater.java:276)
        at org.netbeans.lib.lexer.inc.TokenHierarchyUpdate$UpdateItem.update(TokenHierarchyUpdate.java:345)
        at org.netbeans.lib.lexer.inc.TokenHierarchyUpdate.processLevelInfos(TokenHierarchyUpdate.java:220)
        at org.netbeans.lib.lexer.inc.TokenHierarchyUpdate.updateImpl(TokenHierarchyUpdate.java:192)
        at org.netbeans.lib.lexer.inc.TokenHierarchyUpdate.update(TokenHierarchyUpdate.java:130)
        at org.netbeans.lib.lexer.TokenHierarchyOperation.textModified(TokenHierarchyOperation.java:546)
        at org.netbeans.spi.lexer.TokenHierarchyControl.textModified(TokenHierarchyControl.java:93)
        at org.netbeans.lib.lexer.inc.DocumentInput.textModified(DocumentInput.java:151)
        at org.netbeans.lib.lexer.inc.DocumentInput.removeUpdate(DocumentInput.java:144)
        at org.netbeans.lib.editor.util.swing.PriorityDocumentListenerList.removeUpdate
(PriorityDocumentListenerList.java:99)
        at javax.swing.text.AbstractDocument.fireRemoveUpdate(AbstractDocument.java:242)
        at org.netbeans.editor.BaseDocument.fireRemoveUpdate(BaseDocument.java:1621)
        at org.netbeans.editor.BaseDocument.remove(BaseDocument.java:925)
        at org.netbeans.editor.BaseKit$DeleteCharAction$1.run(BaseKit.java:1537)
        at org.netbeans.editor.GuardedDocument.runAtomicAsUser(GuardedDocument.java:354)
        at org.netbeans.editor.BaseKit$DeleteCharAction.actionPerformed(BaseKit.java:1523)
        at org.netbeans.editor.BaseAction.actionPerformed(BaseAction.java:297)
        at javax.swing.SwingUtilities.notifyAction(SwingUtilities.java:1576)
        at javax.swing.JComponent.processKeyBinding(JComponent.java:2772)
        at javax.swing.JComponent.processKeyBindings(JComponent.java:2807)
        at javax.swing.JComponent.processKeyEvent(JComponent.java:2735)
        at java.awt.Component.processEvent(Component.java:5360)
        at java.awt.Container.processEvent(Container.java:2010)
        at java.awt.Component.dispatchEventImpl(Component.java:4050)
        at java.awt.Container.dispatchEventImpl(Container.java:2068)
        at java.awt.Component.dispatchEvent(Component.java:3885)
        at java.awt.KeyboardFocusManager.redispatchEvent(KeyboardFocusManager.java:1826)
        at java.awt.DefaultKeyboardFocusManager.dispatchKeyEvent(DefaultKeyboardFocusManager.java:681)
        at java.awt.DefaultKeyboardFocusManager.preDispatchKeyEvent(DefaultKeyboardFocusManager.java:938)
        at java.awt.DefaultKeyboardFocusManager.typeAheadAssertions(DefaultKeyboardFocusManager.java:810)
        at java.awt.DefaultKeyboardFocusManager.dispatchEvent(DefaultKeyboardFocusManager.java:645)
        at java.awt.Component.dispatchEventImpl(Component.java:3923)
        at java.awt.Container.dispatchEventImpl(Container.java:2068)
        at java.awt.Window.dispatchEventImpl(Window.java:1791)
        at java.awt.Component.dispatchEvent(Component.java:3885)
        at java.awt.EventQueue.dispatchEvent(EventQueue.java:463)
        at org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:104)
        at java.awt.EventDispatchThread.pumpOneEventForHierarchy(EventDispatchThread.java:269)
        at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:190)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:184)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:176)
        at java.awt.EventDispatchThread.run(EventDispatchThread.java:110)

"TimerQueue" daemon prio=5 tid=0x00637ce0 nid=0x1867000 in Object.wait() [0xb2c93000..0xb2c93d10]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x0a84cc00> (a javax.swing.TimerQueue)
        at javax.swing.TimerQueue.run(TimerQueue.java:236)
        - locked <0x0a84cc00> (a javax.swing.TimerQueue)
        at java.lang.Thread.run(Thread.java:613)

"Thread-3" daemon prio=5 tid=0x00637500 nid=0x1871400 in Object.wait() [0xb2e94000..0xb2e94d10]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x0a76ed90> (a java.util.LinkedList)
        at java.lang.Object.wait(Object.java:474)
        at java.util.prefs.AbstractPreferences$EventDispatchThread.run(AbstractPreferences.java:1456)
        - locked <0x0a76ed90> (a java.util.LinkedList)

"Code Model Parser 1" daemon prio=1 tid=0x00628660 nid=0x18b1600 in Object.wait() [0xb2a92000..0xb2a92d10]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x0aa01be0> (a java.lang.Object)
        at java.lang.Object.wait(Object.java:474)
        at org.netbeans.modules.cnd.modelimpl.csm.core.ParserQueue.waitReady(ParserQueue.java:438)
        - locked <0x0aa01be0> (a java.lang.Object)
        at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThread._run(ParserThread.java:96)
        at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThread.run(ParserThread.java:69)
        at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThreadManager$Wrapper.run(ParserThreadManager.java:87)
        at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:573)
        at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1005)

"Java2D Disposer" daemon prio=10 tid=0x00613340 nid=0x188fa00 in Object.wait() [0xb2690000..0xb2690d10]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x0a3d7bf8> (a java.lang.ref.ReferenceQueue$Lock)
        at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:120)
        - locked <0x0a3d7bf8> (a java.lang.ref.ReferenceQueue$Lock)
        at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:136)
        at sun.java2d.Disposer.run(Disposer.java:125)
        at java.lang.Thread.run(Thread.java:613)

"AWT-Shutdown" prio=5 tid=0x00612630 nid=0x1862000 in Object.wait() [0xb1c0a000..0xb1c0ad10]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x0a3d7c88> (a java.lang.Object)
        at java.lang.Object.wait(Object.java:474)
        at sun.awt.AWTAutoShutdown.run(AWTAutoShutdown.java:259)
        - locked <0x0a3d7c88> (a java.lang.Object)
        at java.lang.Thread.run(Thread.java:613)

"AWT-AppKit" daemon prio=5 tid=0x006121e0 nid=0xa000d000 runnable [0x00000000..0xbfffe688]

"Code Model Parser 0" daemon prio=1 tid=0x00610290 nid=0x1847a00 in Object.wait() [0xb220d000..0xb220dd10]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x0aa01be0> (a java.lang.Object)
        at java.lang.Object.wait(Object.java:474)
        at org.netbeans.modules.cnd.modelimpl.csm.core.ParserQueue.waitReady(ParserQueue.java:438)
        - locked <0x0aa01be0> (a java.lang.Object)
        at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThread._run(ParserThread.java:96)
        at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThread.run(ParserThread.java:69)
        at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThreadManager$Wrapper.run(ParserThreadManager.java:87)
        at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:573)
        at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1005)

"Timer-0" daemon prio=5 tid=0x0060fbd0 nid=0x1848800 in Object.wait() [0xb200c000..0xb200cd10]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x0a3d80b8> (a java.util.TaskQueue)
        at java.util.TimerThread.mainLoop(Timer.java:509)
        - locked <0x0a3d80b8> (a java.util.TaskQueue)
        at java.util.TimerThread.run(Timer.java:462)

"CLI Requests Server" daemon prio=5 tid=0x0060f820 nid=0x1848400 runnable [0xb1e0b000..0xb1e0bd10]
        at java.net.PlainSocketImpl.socketAccept(Native Method)
        at java.net.PlainSocketImpl.accept(PlainSocketImpl.java:384)
        - locked <0x0a3d8150> (a java.net.SocksSocketImpl)
        at java.net.ServerSocket.implAccept(ServerSocket.java:450)
        at java.net.ServerSocket.accept(ServerSocket.java:421)
        at org.netbeans.CLIHandler$Server.run(CLIHandler.java:1003)

"Active Reference Queue Daemon" daemon prio=1 tid=0x0060cff0 nid=0x1856600 in Object.wait() [0xb1a09000..0xb1a09d10]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x0a3344f8> (a java.lang.ref.ReferenceQueue$Lock)
        at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:120)
        - locked <0x0a3344f8> (a java.lang.ref.ReferenceQueue$Lock)
        at org.openide.util.Utilities$ActiveQueue.run(Utilities.java:3153)
        at java.lang.Thread.run(Thread.java:613)

"Low Memory Detector" daemon prio=5 tid=0x006093d0 nid=0x1815800 runnable [0x00000000..0x00000000]

"CompilerThread0" daemon prio=9 tid=0x00608950 nid=0x1815400 waiting on condition [0x00000000..0xb1406748]

"Signal Dispatcher" daemon prio=9 tid=0x00608540 nid=0x1815000 waiting on condition [0x00000000..0x00000000]

"Finalizer" daemon prio=8 tid=0x00607d10 nid=0x1810c00 in Object.wait() [0xb1004000..0xb1004d10]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x0a3346a8> (a java.lang.ref.ReferenceQueue$Lock)
        at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:120)
        - locked <0x0a3346a8> (a java.lang.ref.ReferenceQueue$Lock)
        at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:136)
        at java.lang.ref.Finalizer$FinalizerThread.run(Finalizer.java:159)

"Reference Handler" daemon prio=10 tid=0x00607980 nid=0x180fe00 in Object.wait() [0xb0e03000..0xb0e03d10]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x0a334388> (a java.lang.ref.Reference$Lock)
        at java.lang.Object.wait(Object.java:474)
        at java.lang.ref.Reference$ReferenceHandler.run(Reference.java:116)
        - locked <0x0a334388> (a java.lang.ref.Reference$Lock)

"VM Thread" prio=9 tid=0x00607100 nid=0x180fa00 runnable 

"VM Periodic Task Thread" prio=9 tid=0x00609f80 nid=0x1815c00 waiting on condition 

"Exception Catcher Thread" prio=10 tid=0x00601a90 nid=0x1804e00 runnable 
^\Full thread dump Java HotSpot(TM) Client VM (1.5.0_16-132 mixed mode, sharing):

"Java Source Worker Thread" daemon prio=1 tid=0x006bb0c0 nid=0x1aedc00 waiting on condition [0xb429e000..0xb429ed10]
        at sun.misc.Unsafe.park(Native Method)
        at java.util.concurrent.locks.LockSupport.park(LockSupport.java:118)
        at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await
(AbstractQueuedSynchronizer.java:1841)
        at java.util.concurrent.PriorityBlockingQueue.take(PriorityBlockingQueue.java:200)
        at org.netbeans.modules.parsing.impl.TaskProcessor$CompilationJob.run(TaskProcessor.java:590)
        at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:417)
        at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:269)
        at java.util.concurrent.FutureTask.run(FutureTask.java:123)
        at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:650)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:675)
        at java.lang.Thread.run(Thread.java:613)

"GSF Source Worker Thread" daemon prio=1 tid=0x006579a0 nid=0x1a13800 waiting on condition [0xb48a1000..0xb48a1d10]
        at sun.misc.Unsafe.park(Native Method)
        at java.util.concurrent.locks.LockSupport.parkNanos(LockSupport.java:146)
        at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos
(AbstractQueuedSynchronizer.java:1879)
        at java.util.concurrent.PriorityBlockingQueue.poll(PriorityBlockingQueue.java:236)
        at org.netbeans.napi.gsfret.source.Source$CompilationJob.run(Source.java:1345)
        at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:417)
        at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:269)
        at java.util.concurrent.FutureTask.run(FutureTask.java:123)
        at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:650)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:675)
        at java.lang.Thread.run(Thread.java:613)

"org.netbeans.modules.gsfret.source.usages.RepositoryUpdater" daemon prio=1 tid=0x00655300 nid=0x1a64000 in Object.wait
() [0xb46a0000..0xb46a0d10]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x0aaa35e0> (a java.util.TaskQueue)
        at java.lang.Object.wait(Object.java:474)
        at java.util.TimerThread.mainLoop(Timer.java:483)
        - locked <0x0aaa35e0> (a java.util.TaskQueue)
        at java.util.TimerThread.run(Timer.java:462)

"Default RequestProcessor" daemon prio=1 tid=0x00653070 nid=0x1a64400 in Object.wait() [0xb3e9c000..0xb3e9cd10]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x0ab29ad8> (a java.lang.Object)
        at java.lang.Object.wait(Object.java:474)
        at org.netbeans.modules.tasklist.impl.FileScanningWorker.run(FileScanningWorker.java:205)
        - locked <0x0ab29ad8> (a java.lang.Object)
        at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:573)
        at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1005)

"Repository writer 0" daemon prio=1 tid=0x00648e60 nid=0x193c200 waiting on condition [0xb3698000..0xb3698d10]
        at java.lang.Thread.sleep(Native Method)
        at org.netbeans.modules.cnd.repository.queue.RepositoryWritingThread.waitReady(RepositoryWritingThread.java:94)
        at org.netbeans.modules.cnd.repository.queue.RepositoryWritingThread.run(RepositoryWritingThread.java:128)
        at org.netbeans.modules.cnd.repository.queue.RepositoryThreadManager$Wrapper.run
(RepositoryThreadManager.java:84)
        at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:573)
        at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1005)

"Class View Updater" prio=6 tid=0x00647fb0 nid=0x19d8400 in Object.wait() [0xb2891000..0xb2891d10]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x0a9e1760> (a java.lang.Object)
        at java.lang.Object.wait(Object.java:474)
        at org.netbeans.modules.cnd.classview.ClassViewUpdater$BlockingQueue.get(ClassViewUpdater.java:65)
        - locked <0x0a9e1760> (a java.lang.Object)
        at org.netbeans.modules.cnd.classview.ClassViewUpdater.run(ClassViewUpdater.java:144)

"DestroyJavaVM" prio=5 tid=0x00601870 nid=0x1804a00 waiting on condition [0x00000000..0xb0800000]

"AWT-EventQueue-1" prio=6 tid=0x00637e60 nid=0x18f2400 runnable [0xb3095000..0xb3095d10]
        at org.netbeans.spi.lexer.LexerInput.read(LexerInput.java:126)
        at org.netbeans.modules.cnd.lexer.MakefileLexer.readTo(MakefileLexer.java:300)
        at org.netbeans.modules.cnd.lexer.MakefileLexer.readMacro(MakefileLexer.java:271)
        at org.netbeans.modules.cnd.lexer.MakefileLexer.nextToken(MakefileLexer.java:142)
        at org.netbeans.lib.lexer.LexerInputOperation.nextToken(LexerInputOperation.java:190)
        at org.netbeans.lib.lexer.inc.TokenListUpdater.relex(TokenListUpdater.java:619)
        at org.netbeans.lib.lexer.inc.TokenListUpdater.updateRegular(TokenListUpdater.java:276)
        at org.netbeans.lib.lexer.inc.TokenHierarchyUpdate$UpdateItem.update(TokenHierarchyUpdate.java:345)
        at org.netbeans.lib.lexer.inc.TokenHierarchyUpdate.processLevelInfos(TokenHierarchyUpdate.java:220)
        at org.netbeans.lib.lexer.inc.TokenHierarchyUpdate.updateImpl(TokenHierarchyUpdate.java:192)
        at org.netbeans.lib.lexer.inc.TokenHierarchyUpdate.update(TokenHierarchyUpdate.java:130)
        at org.netbeans.lib.lexer.TokenHierarchyOperation.textModified(TokenHierarchyOperation.java:546)
        at org.netbeans.spi.lexer.TokenHierarchyControl.textModified(TokenHierarchyControl.java:93)
        at org.netbeans.lib.lexer.inc.DocumentInput.textModified(DocumentInput.java:151)
        at org.netbeans.lib.lexer.inc.DocumentInput.removeUpdate(DocumentInput.java:144)
        at org.netbeans.lib.editor.util.swing.PriorityDocumentListenerList.removeUpdate
(PriorityDocumentListenerList.java:99)
        at javax.swing.text.AbstractDocument.fireRemoveUpdate(AbstractDocument.java:242)
        at org.netbeans.editor.BaseDocument.fireRemoveUpdate(BaseDocument.java:1621)
        at org.netbeans.editor.BaseDocument.remove(BaseDocument.java:925)
        at org.netbeans.editor.BaseKit$DeleteCharAction$1.run(BaseKit.java:1537)
        at org.netbeans.editor.GuardedDocument.runAtomicAsUser(GuardedDocument.java:354)
        at org.netbeans.editor.BaseKit$DeleteCharAction.actionPerformed(BaseKit.java:1523)
        at org.netbeans.editor.BaseAction.actionPerformed(BaseAction.java:297)
        at javax.swing.SwingUtilities.notifyAction(SwingUtilities.java:1576)
        at javax.swing.JComponent.processKeyBinding(JComponent.java:2772)
        at javax.swing.JComponent.processKeyBindings(JComponent.java:2807)
        at javax.swing.JComponent.processKeyEvent(JComponent.java:2735)
        at java.awt.Component.processEvent(Component.java:5360)
        at java.awt.Container.processEvent(Container.java:2010)
        at java.awt.Component.dispatchEventImpl(Component.java:4050)
        at java.awt.Container.dispatchEventImpl(Container.java:2068)
        at java.awt.Component.dispatchEvent(Component.java:3885)
        at java.awt.KeyboardFocusManager.redispatchEvent(KeyboardFocusManager.java:1826)
        at java.awt.DefaultKeyboardFocusManager.dispatchKeyEvent(DefaultKeyboardFocusManager.java:681)
        at java.awt.DefaultKeyboardFocusManager.preDispatchKeyEvent(DefaultKeyboardFocusManager.java:938)
        at java.awt.DefaultKeyboardFocusManager.typeAheadAssertions(DefaultKeyboardFocusManager.java:810)
        at java.awt.DefaultKeyboardFocusManager.dispatchEvent(DefaultKeyboardFocusManager.java:645)
        at java.awt.Component.dispatchEventImpl(Component.java:3923)
        at java.awt.Container.dispatchEventImpl(Container.java:2068)
        at java.awt.Window.dispatchEventImpl(Window.java:1791)
        at java.awt.Component.dispatchEvent(Component.java:3885)
        at java.awt.EventQueue.dispatchEvent(EventQueue.java:463)
        at org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:104)
        at java.awt.EventDispatchThread.pumpOneEventForHierarchy(EventDispatchThread.java:269)
        at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:190)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:184)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:176)
        at java.awt.EventDispatchThread.run(EventDispatchThread.java:110)

"TimerQueue" daemon prio=5 tid=0x00637ce0 nid=0x1867000 in Object.wait() [0xb2c93000..0xb2c93d10]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x0a84cc00> (a javax.swing.TimerQueue)
        at javax.swing.TimerQueue.run(TimerQueue.java:236)
        - locked <0x0a84cc00> (a javax.swing.TimerQueue)
        at java.lang.Thread.run(Thread.java:613)

"Thread-3" daemon prio=5 tid=0x00637500 nid=0x1871400 in Object.wait() [0xb2e94000..0xb2e94d10]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x0a76ed90> (a java.util.LinkedList)
        at java.lang.Object.wait(Object.java:474)
        at java.util.prefs.AbstractPreferences$EventDispatchThread.run(AbstractPreferences.java:1456)
        - locked <0x0a76ed90> (a java.util.LinkedList)

"Code Model Parser 1" daemon prio=1 tid=0x00628660 nid=0x18b1600 in Object.wait() [0xb2a92000..0xb2a92d10]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x0aa01be0> (a java.lang.Object)
        at java.lang.Object.wait(Object.java:474)
        at org.netbeans.modules.cnd.modelimpl.csm.core.ParserQueue.waitReady(ParserQueue.java:438)
        - locked <0x0aa01be0> (a java.lang.Object)
        at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThread._run(ParserThread.java:96)
        at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThread.run(ParserThread.java:69)
        at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThreadManager$Wrapper.run(ParserThreadManager.java:87)
        at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:573)
        at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1005)

"Java2D Disposer" daemon prio=10 tid=0x00613340 nid=0x188fa00 in Object.wait() [0xb2690000..0xb2690d10]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x0a3d7bf8> (a java.lang.ref.ReferenceQueue$Lock)
        at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:120)
        - locked <0x0a3d7bf8> (a java.lang.ref.ReferenceQueue$Lock)
        at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:136)
        at sun.java2d.Disposer.run(Disposer.java:125)
        at java.lang.Thread.run(Thread.java:613)

"AWT-Shutdown" prio=5 tid=0x00612630 nid=0x1862000 in Object.wait() [0xb1c0a000..0xb1c0ad10]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x0a3d7c88> (a java.lang.Object)
        at java.lang.Object.wait(Object.java:474)
        at sun.awt.AWTAutoShutdown.run(AWTAutoShutdown.java:259)
        - locked <0x0a3d7c88> (a java.lang.Object)
        at java.lang.Thread.run(Thread.java:613)

"AWT-AppKit" daemon prio=5 tid=0x006121e0 nid=0xa000d000 runnable [0x00000000..0xbfffe688]

"Code Model Parser 0" daemon prio=1 tid=0x00610290 nid=0x1847a00 in Object.wait() [0xb220d000..0xb220dd10]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x0aa01be0> (a java.lang.Object)
        at java.lang.Object.wait(Object.java:474)
        at org.netbeans.modules.cnd.modelimpl.csm.core.ParserQueue.waitReady(ParserQueue.java:438)
        - locked <0x0aa01be0> (a java.lang.Object)
        at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThread._run(ParserThread.java:96)
        at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThread.run(ParserThread.java:69)
        at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThreadManager$Wrapper.run(ParserThreadManager.java:87)
        at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:573)
        at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1005)

"Timer-0" daemon prio=5 tid=0x0060fbd0 nid=0x1848800 in Object.wait() [0xb200c000..0xb200cd10]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x0a3d80b8> (a java.util.TaskQueue)
        at java.util.TimerThread.mainLoop(Timer.java:509)
        - locked <0x0a3d80b8> (a java.util.TaskQueue)
        at java.util.TimerThread.run(Timer.java:462)

"CLI Requests Server" daemon prio=5 tid=0x0060f820 nid=0x1848400 runnable [0xb1e0b000..0xb1e0bd10]
        at java.net.PlainSocketImpl.socketAccept(Native Method)
        at java.net.PlainSocketImpl.accept(PlainSocketImpl.java:384)
        - locked <0x0a3d8150> (a java.net.SocksSocketImpl)
        at java.net.ServerSocket.implAccept(ServerSocket.java:450)
        at java.net.ServerSocket.accept(ServerSocket.java:421)
        at org.netbeans.CLIHandler$Server.run(CLIHandler.java:1003)

"Active Reference Queue Daemon" daemon prio=1 tid=0x0060cff0 nid=0x1856600 in Object.wait() [0xb1a09000..0xb1a09d10]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x0a3344f8> (a java.lang.ref.ReferenceQueue$Lock)
        at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:120)
        - locked <0x0a3344f8> (a java.lang.ref.ReferenceQueue$Lock)
        at org.openide.util.Utilities$ActiveQueue.run(Utilities.java:3153)
        at java.lang.Thread.run(Thread.java:613)

"Low Memory Detector" daemon prio=5 tid=0x006093d0 nid=0x1815800 runnable [0x00000000..0x00000000]

"CompilerThread0" daemon prio=9 tid=0x00608950 nid=0x1815400 waiting on condition [0x00000000..0xb1406748]

"Signal Dispatcher" daemon prio=9 tid=0x00608540 nid=0x1815000 waiting on condition [0x00000000..0x00000000]

"Finalizer" daemon prio=8 tid=0x00607d10 nid=0x1810c00 in Object.wait() [0xb1004000..0xb1004d10]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x0a3346a8> (a java.lang.ref.ReferenceQueue$Lock)
        at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:120)
        - locked <0x0a3346a8> (a java.lang.ref.ReferenceQueue$Lock)
        at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:136)
        at java.lang.ref.Finalizer$FinalizerThread.run(Finalizer.java:159)

"Reference Handler" daemon prio=10 tid=0x00607980 nid=0x180fe00 in Object.wait() [0xb0e03000..0xb0e03d10]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x0a334388> (a java.lang.ref.Reference$Lock)
        at java.lang.Object.wait(Object.java:474)
        at java.lang.ref.Reference$ReferenceHandler.run(Reference.java:116)
        - locked <0x0a334388> (a java.lang.ref.Reference$Lock)

"VM Thread" prio=9 tid=0x00607100 nid=0x180fa00 runnable
Comment 1 luky 2009-03-31 15:29:36 UTC
Created attachment 79149 [details]
Makefile
Comment 2 Alexey Vladykin 2009-03-31 16:40:12 UTC
Can reproduce. Started investigating.
Comment 3 Alexey Vladykin 2009-03-31 17:13:48 UTC
Fixed in http://hg.netbeans.org/cnd-main/rev/65e933939b51
Under certain circumstances there was an infinite loop in MakefileLexer.
Comment 4 Leonid Lenyashin 2009-04-01 10:18:32 UTC
I think it is not more than a P2. Makefile editing is not a primary scenario, the problem occurs only under special
circumstances, as workaround user can edit Makefile outside IDE (NetBeans editor provides very basic support for
Makefiles, so the drawback is insufficient).
Comment 5 luky 2009-04-01 10:34:09 UTC
I know is 1st of April but don't make a fool of me. Any deadlock and datalost is P1, no questions here.
And be sure editing of Makefile is quite common scenario

Comment 6 Vladimir Voskresensky 2009-04-01 10:57:51 UTC
anyway it is fixed
Comment 7 Alexander Pepin 2009-04-01 14:20:06 UTC
verified in dev build.
please push the fix into m3 clone
Comment 8 Andrew Krasny 2009-04-01 14:31:34 UTC
Also pushed to release67_m3 (http://hg.netbeans.org/release67_m3/rev/345facf37a34)
Comment 9 Quality Engineering 2009-04-02 07:34:49 UTC
Integrated into 'main-golden', will be available in build *200904020200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/65e933939b51
User: Alexey Vladykin <alexey_vladykin@netbeans.org>
Log: #161600 Deadlock while editing makefile


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo